require 'sidekiq/circuit_breaker/configuration'

module Sidekiq
  module CircuitBreaker
    module Worker
      def self.included(base)
        base.extend(ClassMethods)
      end

      module ClassMethods
        def sidekiq_circuit_breaker_enabled?
          true
        end

        def sidekiq_circuit_breaker
          yield(sidekiq_circuit_breaker_options) if block_given?
        end

        def sidekiq_circuit_breaker_options
          @@setup ||= Sidekiq::CircuitBreaker::Configuration.new
        end
      end
    end
  end
end
